Starmade | F5-screenshots of galaxy map appear with background transparent
Closed, FinishedPublic

Description

Pictures taken with f5 of the galaxy map in-game will create screenshots with transparent backgrounds on everything, making it nearly impossible to see what someone else's screen looks like.

Example: screenshot of galaxy map

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19604 (Dev)
Issue Type
Bug
Category
Galaxy Map
Hardware/Software/System
OS-Specific
No
Hardware-Specific
Video (GPU)
Video Card Vendor
NVIDIA
Video Card Model
GeForce GTX 960m
Steps to reproduce
  1. disable background image
  2. disable bloom
  3. enable frame buffer
  4. take a screenshot with F5 and notice that the space background is transparent in your screenshot file
Tester information (Internal use only)

I can't reproduce it anymore to get a transparent background which is good, but there are 2 more issues now.

Procedural, normal backgrounds and the star in your current star won't be visible if:

  • frame buffer is on

OR

  • frame buffer is off
  • bloom is on
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
There are a very large number of changes, so older changes are hidden. Show Older Changes
Zackey_TNT added a subscriber: Zackey_TNT.

Now attempting to reproduce!

Zackey_TNT added a comment.EditedAug 24 2015, 2:22 PM

It would seem I am unable to reproduce and require more info and a few files

First could you please list the settings.cfg file here as that will help track down what it is that causes this affect

Second could you list your graphcisinfo file here from the log folder inside of starmade this will help us find out what range of GPU's are affected.

As seen here F5 screenshots do not have this issue for me.

Also please provide any info you feel may help this investigation.

33Cav added a subscriber: 33Cav.EditedAug 25 2015, 9:17 AM

A problem which may be related occurs for me (and other players using significantly different hardware). Taking a screenshot near the edge of some systems (where the background appears pitch black) results in transparent backgrounds for those screenshots.
Screenshot:


Graphics log file
graphcisinfo.txt
Client Settings config
settings.cfg

EDIT: This has been the case for about 2-3 months at least, not sure if the issue has persisted longer than that.

im using amd hd6870
here's what f5 gives me

and print screen for comparison

graphcisinfo.txt
settings.cfg

Zackey_TNT removed Zackey_TNT as the assignee of this task.Sep 6 2015, 8:14 AM

I am still unable to reproduce this, However fellow tester, Spunkie is able to reproduce this affect and thus it would be better if he handle it or someone else that is able to reproduce the affect.

It may have something to do with specific GPUS and my 760 is a bit too new to be affected most likely

Though I will note that back in the day this happened on normal f5 screenshots (I.E not in P map) for me

As seen here http://i.imgur.com/cJpG47p.jpg

spunkie claimed this task.Sep 6 2015, 8:48 AM

-Confirmed-

galaxy map is still getting odd results with the in game screenshot F5

as can be seen the first person mode is no longer affected

spunkie changed the task status from "Open" to "In Queue (Game)".
spunkie set Last tested (version) to 0.19428.Sep 6 2015, 8:51 AM
SmilingDemon added a subscriber: SmilingDemon.EditedSep 6 2015, 2:29 PM

still happening for me in normal screens not only the galaxy map


the resulting png screenshot size is now around 400KB compared to 2 MB before.

edit: settings.cfg

AndyP added a comment.Sep 7 2015, 8:19 PM

No white background for me

Do you have Antialiasing samples set to anything other than 0?

spunkie added a comment.EditedSep 7 2015, 9:06 PM

antialiasing set to 0

antialiasing set to 1

antialiasing set to 8

spunkie changed Last tested (version) from 0.19428 to 0.1943.Sep 7 2015, 9:09 PM
AndyP changed the task status from "In Queue (Game)" to "Open".Sep 7 2015, 9:13 PM
Restricted Application edited projects, added Workflow Issue Navigation; removed Workflow Game Development. · View Herald TranscriptSep 7 2015, 9:13 PM
AndyP moved this task from Confirmed to Open / Validated on the Workflow Issue Navigation board.EditedSep 7 2015, 9:13 PM

This is a hardware dependent thing then.
Tried 3 configs from this issue, and all have black backgrounds and no issues at all.
They are indeed smaller, but thats not really a bad thing.

Hardware:
NVIDIA GTX 860M: No issue
Playing fullscreen.

AndyP changed Hardware-Specific from No to Video (GPU).Sep 7 2015, 9:15 PM
Planr added a comment.EditedSep 8 2015, 2:51 AM

This is still happening for me on the latest update.

http://i.imgur.com/oxRw7W0.png

My video card is
NVIDIA GeForce GTX 960M
Happens both in windowed and fullscreen mode.

33Cav added a comment.Sep 8 2015, 3:41 AM

Screenshot I just took using F5


My video card is AMD Radeon R7 M260 and I have AA set to 2x.
My question is if players with different card manufacturers have this issue then how can it be due to the actual gpu itself?
settings.cfg graphcisinfo.txt

AndyP added a comment.Sep 10 2015, 1:08 AM

Okay, assumed this does not happen on on both sides (AMD + NIVIDA).

You did remove the settings file once, and launched with default settings, and it still has the error?
(Just to sort out any settings combination, as "with default" we should get a reliable state to start investigation.)

Again after removing settings.cfg

settings.cfg Config that was created after following instructions

spunkie removed spunkie as the assignee of this task.Sep 10 2015, 10:12 PM
33Cav added a comment.Sep 12 2015, 3:18 AM

Request that someone else who has this problem also test taking a screenshot in a sector that has a pitch-black background (procedural background should be ON for this) and posting the results here. If the background in the screenshot is also white/transparent perhaps the issue would then be related to the pitch-black background?

with background turned on

spunkie claimed this task.Sep 12 2015, 4:08 PM
spunkie changed Last tested (version) from 0.1943 to 0.19432.
spunkie removed spunkie as the assignee of this task.
33Cav added a comment.Sep 13 2015, 7:12 AM

For reference: Screenshot of a pitch-black background sector with F5


and printscreen to compare

Settings as posted above, not an anti-aliasing issue as this has occured previously when aa is off.

i assume your galaxy map is still whited out too on f5?

In T534#22947, @33Cav wrote:

Again after removing settings.cfg

settings.cfg Config that was created after following instructions

No updates having been made since then it should be.

Yup

AndyP added a comment.Sep 15 2015, 8:18 AM

Does it happen in full-screen and windowed mode?

As I compared and tried different settings.cfg files I can safely assume:
Its no settings thing

What java version is used?
(OS?)

Could be a different way the OS stores image information..

33Cav added a comment.EditedSep 15 2015, 10:21 AM

Yes to both full screen and windowed to both in galaxy map and in normal space issues.

java version "1.8.0_40"
Java(TM) SE Runtime Environment (build 1.8.0_40-b26)
Java HotSpot(TM) 64-Bit Server VM (build 25.40-b25, mixed mode)

Windows 8.1 64-bit (6.3, Build 9600)

Note: have a buddy that runs the latest build on Windows 7, same thing happens to him.

AndyP added a comment.EditedSep 15 2015, 9:41 PM

Okay, I have windows 8.1 64bit, same java version and nothing like this.

I have an NVIDIA card, and I have to add it the to NVIDIA control center to execute the application via GPU, else my performance is really bad.

comparing our settings here:

https://www.diffchecker.com/j4bdavtw
Green = @AndyP
Red = @33Cav

On a blind guess I would blame:

  • Normal mapping

or

  • Fixed framerate

Could you try to enable normal_mapping and also set a fixed framerate below your average framerate and try again?

win7 64 bit

starmade dev ver 0.19436

normal mapping off

framerate set to 30 average is usually 110

graphcisinfo.txt

settings.cfg

AndyP added a comment.EditedSep 16 2015, 12:19 PM

Well, the second screen is correct it transparent, not white,
at least in full size.

You didnt have your camera oriented directly looking on the highlighted sector and thus getting a lightgray / white overlay over the view?

No, it does matter what angle I take the galactic map screen shot at. 33cav has it worse since his happens in the non map views as well.

So the screenshot is supposed to be transparent?

I think AndyP is saying that the screenshot is transparent background and not white (if white was mentioned before at all).

I still have no idea how to reproduce this or what factor could influence this.

Are you using Java 8 or 7? (Could be some trail.. but more a blind guess ^^°)
(I use Java 8)

33Cav added a comment.Sep 18 2015, 2:12 PM

jdk 1.8.0_40, but jre7 I also installed (64bit on both) as jre8 uses substantially more RAM while running Starmade (like over 3 times as much) apparently

Wait,

JDK 8 and JRE 7?

This cant work well together.
Despite the RAM usage fact, may you try removing all java from your system, and then only install the JDK8 (at the end of the installation it ask if it also should install the JRE).
Does it happen again then?

Unfortunately two different java versions on one systems cause issues, so this may be another side-effect of this.

Given that having JDK 8 and JRE 8 caused this RAM overuse issue, and given that I require the use of both JDK and JRE on my system I see no alternative to using JDK8 and JRE7. Also note that when I installed JDK8 (after a fresh Windows installation) I was not prompted to install any JRE and had to go find and get the JRE (apparently there was only JRE7 available at that time).

You might remove all of them and put in the required to see if it fixes the issue, and then reinstall both again..

33Cav added a comment.Oct 13 2015, 8:05 AM

FYI reinstalled JDK 7 and JRE 7 confirming 64-bit on both.
Result: Issue still occurs

Chandler added a comment.EditedNov 7 2015, 2:18 AM

Does This still Occur after the updates?
Who has seen this issue?

still does for me

Croquelune added a comment.EditedJan 11 2016, 2:51 PM

settings.cfg graphcisinfo.txt

Windows 7 64-bit
AMD FX(tm)-4130 Quad-Core Processor (4 CPUs), ~3.8GHz
4096MB RAM
NVIDIA GeForce GTX 960
64-bit Java 8

Running on thread: ClientThread
Adapter: nvd3dumx,nvwgf2umx,nvwgf2umx
Driver Version: 10.18.13.5330
Vendor: NVIDIA Corporation
OpenGL Version: 4.5.0 NVIDIA 353.30
Renderer: GeForce GTX 960/PCIe/SSE2
GLSL Ver: 4.50 NVIDIA

java version "1.8.0_65"
Java<TM> SE Runtime Environment <build 1.8.0_65-b17>
Java HotSpot<TM> 64-Bit Server VM<build 25.65-b01, mixed mode>

Well it's really confusing, it's look like total randomness. It happens to me quite often and I suffering it since I began Starmade (9 months ago). Sometimes everything is good, sometimes nothing at all ; while there is no differences nor in settings / graphics / servers, nor sector / system and even nor gaming session AND nor F5 / F6 (even it's happen more often with F5).

F5 of my home sector with transparent background ; compare with this F5 one from the same sector but during a previous gaming session and apparent background :



NOTE : The following screens below were made when I attempted & succeeded to breach the light speed and from the same session from my home sector screen with star above. I always do the dual screen because I always confound the both button so they usually have both less than 0.2 seconds of difference.

It's can even be a crossbred case like this F5 which is partially veiled.


F5 & F6 at the starting. Normal screens.


F5 totally empty (light file less than 200 ko) and F6 too :

Less than 23 ko !


Galaxy map F5 & F6, both void :



F5 void and F6 ok



And this one is just wtf thing, 1st time I saw that "grey shading" thing F5 and F6 (and right away one F5, one F6 were totally same so I don't upload them here) :


Edit : maybe like the crossbred case, half-veiled & half-background


(Bonus picture, for the record, I pass the light barrier :p)

lancake added a subscriber: lancake.Feb 1 2016, 1:27 PM

I really have doubts high speed is related to this issue. We had plenty of them in the past were people sat still.

Either way, I still can't reproduce it :/

Croquelune added a comment.EditedFeb 2 2016, 2:30 AM

I don't think it's about ship speed either, I think it's more about if Starmade process is busy to load things or not. Fact is when I tried and exploited T1053 (pictures above are from that test) my logs were flooded by errors and Starmade got difficulties to load sectors. I took severals screens to illustrate it and more than 90% of them were messy like that.
In comparaison, usually, when I idling with no big objects, no planets, asteroids around which could drop the fps and fills the process load, it's just reach 50% of failure for F5 and 5~15% failure F6 screens. Since that I assume if java process is busy, the screensave quality have more chance to be bad.

lancake claimed this task.Feb 15 2016, 2:44 PM

-Confirmed-

If your settings have this:

  • background image: off
  • bloom: off
  • frame buffer: on

Then you get a transparent background when using F5

lancake changed the task status from "Open" to "In Queue (Game)".
lancake edited Steps to reproduce. (Show Details)Feb 15 2016, 2:46 PM
lancake edited Tester information (Internal use only). (Show Details)
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 5:01 PM
schema added a subscriber: schema.

With setting mentioned

normal and galaxy screen shots are fine for me.

on AMD R9 280X

lancake edited Tester information (Internal use only). (Show Details)Mar 10 2016, 2:50 PM
lancake changed the task status from "Resolved" to "In Queue (Game)".

-QA Testing-

I can't reproduce it anymore to get a transparent background which is good, but there are 2 more issues now.

Procedural, normal backgrounds and the star in your current star won't be visible if:

  • frame buffer is on

OR

  • frame buffer is off
  • bloom is on
lancake changed Last tested (version) from 0.19432 to 0.19602 (Dev).Mar 10 2016, 2:53 PM
AndyP added a comment.Mar 10 2016, 3:12 PM

Merging T1228
created a new one but didnt see the relation on first glance.

AndyP raised the priority of this task from "Normal" to "High".
AndyP raised the priority of this task from "High" to "Urgent".

Priority raised, as its now a persistent failure of bloom/frame buffers.

frame buffer on and bloom off is not killing the sun for me on AMD

schema changed the task status from "In Queue (Game)" to "Resolved".Mar 12 2016, 4:09 PM

It's fixed for an Nvidia GPU but might be different for AMD, waiting for confirmation.

lancake changed Affected Gamemode(s) from Singleplayer to Single and Multi.Mar 15 2016, 12:12 PM
lancake changed Reproducible from uncertain to Yes.
lancake changed Last tested (version) from 0.19602 (Dev) to 0.19604 (Dev).
lancake reassigned this task from lancake to SmilingDemon.Mar 15 2016, 12:37 PM
SmilingDemon closed this task as "Closed".Mar 15 2016, 5:17 PM

Tested on 2 more AMD Cards now.

Screen shots did look fine
Frame buffer or Bloom did not affect the screen shots or the background (other than as expected)

fixed then

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 15 2016, 5:17 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript

Add Comment